Subject: Re: [seamoby] Consideration on L3 paging area

From: James Kempf <[email-masked]>
Date: Fri, 10 Aug 2001 09:08:33 +0-100

Pars,

>
>Hello;
>
>In my opinion (humble), the following
>decisions make  a "location tracking strategy"
>(or whatever you want to call it):
>
>- Use L2 or L3 paging areas? Or use underlying
>    location tracking strategy?
>
>- Paging areas are contigiuous or not? Overlaping
>    or not? etc.
>
>- Who initiates paging? A home agent?
>    an hierarchical agent?, a last hop router? etc.
>
>- How the paging areas are configured?
>   By the operator? Automatically?
>
>- What is the paging algorithm? Sequential polling?
>   Multicast style? etc...
>
>- Does a DMH send registrations upon every
>    paging area crossing or not?
>
>- and that kind of staff that you know all...
>
>
>So, I completely agree with you: the above items
>are out of the scope of the DMHA protocol.
>

Most of these are policy questions, some involve whether MIP
is the mobility protocol or not (it may be GPRS for example).

>But, I don't agree that this is an implementation issue.
>How can the DM capable hosts, paging agents etc. can
>agree on an implementation issue? This is not clear.
>

It's an implementation question in that a particular radio
link protocol either will or will not provide L2 support
for paging. If it doesn't, then the implementer of
DMHA on that radio link must use regular IP packets
over the traffic channel (there may be only one, like
802.11) rather than leveraging paging support. Also,
the radio  link may provide some support (for example,
a paging channel) without others (for example, L2
support for location tracking).

>Formulated as follows, it is more clear for me:
>
>The DMHA protocol should be flexible in support
>of more than one location tracking strategies. DM
>capable hosts and paging/tracking/monitoring
>agents can agree on a particular strategy (which is
>assigned a number), using a message exchange
>supported by the DMHA protocol,  in a TLV formatted
>option, for example. And, each strategy can have its own
>message types and codes for its specific functionalities...
>

Not necessarily. I think at L3 the DMHA protocol needs
to specify how location tracking of a dormant mode moble
node is done. It cannot rely on the mobility protocol
to do this, because a mobile node in dormant mode does not
require routing information to be propagated, which is 
what the mobility protocols for active dormant mode mobiles
are designed to do. A dormant mode mobile does, however,
require its location to be tracked by paging, for purposes
of locating it should routing information  need to be
reestablished.

>Clearly, this would be an obvious advantage of IP paging
>over current systems: "location or administrative domain
>or even time dependent location tracking strategies".
>

I agree.

>In addition, there is extensive research on zillions
>of strategies, and so far there is not a convincing winner...
>Someone can discover *in the futur* a new strategy, convince
>others by simulation and benchmarking results, or even on
>real IP mobility expericence... then everyone may prefer
>this new strategy (the ONE). When this happens, the DMHA
>protocol should be able to support it.
>
>So, I want to imagine  that a particular Location Tracking
>Strategy: "MY-LTS over DMHA" will be proposed as a
>separate I-D ... (but, one should first design the DMHA
>protocol :-).
>
>In this case the network administrator will ask:
>which LTS should I buy? That's his/her business...
>
>Comments? Thanks...
>

The point of having an L3 location mechanism is that it
can tie into various L2 mechanism. Also, it should be
possible to configure the L3 mechanism with various
location policies. Separating the mechanism from the
policy would allow the use of various mechanisms as you
propose. But I do not think this requires us to punt
on the mechanism, rather the contrary.

		jak